Bug 1706989 - Automate model and service dialogs collected from appliances contain "unknown" in their name for NFS but not for FTP.
Summary: Automate model and service dialogs collected from appliances contain "unknown...
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.z
Assignee: drew uhlmann
QA Contact: Jaroslav Henner
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-06 14:55 UTC by Joe Rafaniello
Modified: 2020-03-25 08:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Joe Rafaniello 2019-05-06 14:55:46 UTC
Description of problem:  in bug #1656318, NFS/SMB log collection was fixed to capture the automate dialogs and models, but the naming is now inconsistent.  NFS contains "unknown" while FTP does not.  We should be consistent:

Collect logs using FTP
Dialogs_region_0_default_2_EVM_1.zip
Models_region_0_default_2_EVM_1.zip

Collect logs using NFS
Dialogs_region_0_default_2_EVM_1_unknown_unknown.zip
Models_region_0_default_2_EVM_1_unknown_unknown.zip


Version-Release number of selected component (if applicable): 5.11.0.2.20190430174828_0e34dea


How reproducible: Very


Steps to Reproduce:
1. Collect logs/automate models/dialogs with FTP
2. Collect the same with NFS
3. Compare log depot and look at the Dialogs and Models filename.

Actual results:  Inconsistent naming


Expected results: Consistent naming


Additional info:

Comment 2 Dave Johnson 2019-05-06 16:01:44 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Angelina Nikiforova 2019-07-31 12:59:21 UTC
I see Dialogs_region_0_default_2_EVM_1_unknown_unknown.zip when collecting using smb as well.

Comment 4 drew uhlmann 2020-01-27 12:28:35 UTC
Hey Angelina, could I please have a reproducer with smb or NFS?

Comment 6 drew uhlmann 2020-01-29 21:47:19 UTC
https://github.com/ManageIQ/manageiq/pull/19774


Note You need to log in before you can comment on or make changes to this bug.